Subject: forcedeth driver hangs under heavy load

From: Ben Hutchings <[email-masked]>
Date: Sun, 11 Apr 2010 00:36:46 +0100

Stephen Mulcahy reported a regression in forcedeth at
<http://bugs.debian.org/572201>.  The system information and some
diagnostic information can be found there.  Anyone able to help?

Ben.

stephen mulcahy wrote:
> When running linux-image-2.6.32-trunk-amd64, the network stops 
> responding if large amounts of traffic are transmitted/received. Running 
> ifdown eth0 followed by ifup eth0 restores operation of the network. 
> There are no errors relating to this failure logged in /var/log that I 
> could see.
> 
> Downgrading to linux-image-2.6.30-2-amd64 results in a stable network. 
> Not sure if this is a forcedeth specific problem or a general problem in 
> the newer kernel (I have seen problems with forcedeth on other 
> distro/kernel combinations).
> 
> Happy to run further diagnostics to tie this down if you let me know 
> what to run.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.